org.apache.tools.ant.util

## Interface Tokenizer

All Known Implementing Classes:
  FileTokenizer, LineTokenizer, StringTokenizer, TokenFilter.FileTokenizer, TokenFilter.StringTokenizer

    public interface Tokenizer

input stream tokenizers implement this interface

Version:
  Ant 1.6

### Method Summary

Methods
`java.lang.String` `getPostToken()` return the string between tokens, after the previous token.
`java.lang.String` `getToken(java.io.Reader in)` get the next token from the input stream

### Method Detail

#### getToken

    java.lang.String getToken(java.io.Reader in)
                              throws java.io.IOException

get the next token from the input stream

Parameters:
  `in` - the input stream
Returns:
  the next token, or null for the end of the stream
Throws:
  `java.io.IOException` - if an error occurs

#### getPostToken

    java.lang.String getPostToken()

return the string between tokens, after the previous token.

Returns:
  the intra-token string